package com.taover.codegenerate.model.bussiness;

import com.taover.codegenerate.business.Utils;

public class ControllerModel {
	private String packageInfo;
	private String poPackageInfo;	
	private String poClassName;
	private String poFieldName;	
	private String serviceImplPackageInfo;
	private String serviceImplClassName;
	private String serviceImplFieldName;
	private String classUrlPath;
	private String controllerClassName;
	private String utilPackageInfo;
	
	private ControllerModel(){}	
	public static ControllerModel createControllerModel(String packageInfo, String poPackageInfo, String serviceImplPackageInfo, String beanClassName, String utilPackageInfo){
		ControllerModel model = new ControllerModel();
		model.packageInfo = packageInfo;
		model.poPackageInfo = poPackageInfo;
		model.poClassName = beanClassName+"PO";		
		model.poFieldName = Utils.getFirstLetterLower(model.poClassName);
		model.serviceImplPackageInfo = serviceImplPackageInfo;
		model.serviceImplClassName = beanClassName + "Service";
		model.serviceImplFieldName = Utils.getFirstLetterLower(model.serviceImplClassName);
		model.classUrlPath = beanClassName.toLowerCase();
		model.controllerClassName = beanClassName + "Controller";
		model.utilPackageInfo = utilPackageInfo;
		return model;
	}
	public String getUtilPackageInfo() {
		return utilPackageInfo;
	}
	public void setUtilPackageInfo(String utilPackageInfo) {
		this.utilPackageInfo = utilPackageInfo;
	}
	public String getPackageInfo() {
		return packageInfo;
	}
	public void setPackageInfo(String packageInfo) {
		this.packageInfo = packageInfo;
	}
	public String getPoPackageInfo() {
		return poPackageInfo;
	}
	public void setPoPackageInfo(String poPackageInfo) {
		this.poPackageInfo = poPackageInfo;
	}
	public String getPoClassName() {
		return poClassName;
	}
	public void setPoClassName(String poClassName) {
		this.poClassName = poClassName;
	}
	public String getPoFieldName() {
		return poFieldName;
	}
	public void setPoFieldName(String poFieldName) {
		this.poFieldName = poFieldName;
	}
	public String getServiceImplPackageInfo() {
		return serviceImplPackageInfo;
	}
	public void setServiceImplPackageInfo(String serviceImplPackageInfo) {
		this.serviceImplPackageInfo = serviceImplPackageInfo;
	}
	public String getServiceImplClassName() {
		return serviceImplClassName;
	}
	public void setServiceImplClassName(String serviceImplClassName) {
		this.serviceImplClassName = serviceImplClassName;
	}
	public String getServiceImplFieldName() {
		return serviceImplFieldName;
	}
	public void setServiceImplFieldName(String serviceImplFieldName) {
		this.serviceImplFieldName = serviceImplFieldName;
	}
	public String getClassUrlPath() {
		return classUrlPath;
	}
	public void setClassUrlPath(String classUrlPath) {
		this.classUrlPath = classUrlPath;
	}
	public String getControllerClassName() {
		return controllerClassName;
	}
	public void setControllerClassName(String controllerClassName) {
		this.controllerClassName = controllerClassName;
	}
	
}
