package com.taover.codegenerate.model.bussiness;

import com.taover.codegenerate.business.Utils;

public class ServiceModel {
	private String packageInfo;
	private String poPackageInfo;
	private String beanClassName;
	private String beanFieldName;
	private String utilPackageInfo;
	
	private ServiceModel(){}	
	public static ServiceModel createServiceModel(String packageInfo, String poPackageInfo, String beanClassName, String utilPackageInfo){
		ServiceModel model = new ServiceModel();
		model.packageInfo = packageInfo;
		model.poPackageInfo = poPackageInfo;
		model.beanClassName = beanClassName;
		model.beanFieldName = Utils.getFirstLetterLower(beanClassName);
		model.utilPackageInfo = utilPackageInfo;
		return model;
	}
	public String getUtilPackageInfo() {
		return utilPackageInfo;
	}
	public void setUtilPackageInfo(String utilPackageInfo) {
		this.utilPackageInfo = utilPackageInfo;
	}
	public String getPackageInfo() {
		return packageInfo;
	}
	public void setPackageInfo(String packageInfo) {
		this.packageInfo = packageInfo;
	}
	public String getPoPackageInfo() {
		return poPackageInfo;
	}
	public void setPoPackageInfo(String poPackageInfo) {
		this.poPackageInfo = poPackageInfo;
	}
	public String getBeanClassName() {
		return beanClassName;
	}
	public void setBeanClassName(String beanClassName) {
		this.beanClassName = beanClassName;
	}
	public String getBeanFieldName() {
		return beanFieldName;
	}
	public void setBeanFieldName(String beanFieldName) {
		this.beanFieldName = beanFieldName;
	}
	
	
}
