<#--包名 -->
package ${packages}

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import javax.persistence.Column;

/**
 <#if version?exists>
 * @version ${version}
 </#if>
 */
@Entity
@Table(name="${tablemodel.tableName}", catalog="${tablemodel.schemeName}")
public class ${name}Entity implements Serializable {

 <#--变量 ,get,set方法-->
<#if tablemodel.columnlist?exists>
	<#list tablemodel.columnlist as clist>
	
	<#if clist.columnRemarks?exists>
	/**
	 * ${clist.columnRemarks}
	 */
	</#if>
	<#if clist.primaryKey == true>
	@Id
	</#if>
	@Column(name="${clist.columnUName}")
	private ${clist.columnJAVAType} ${clist.columnName};
		
	public ${clist.columnJAVAType} get${clist.columnMethodName}(){
		return ${clist.columnName};
	}	
	public void set${clist.columnMethodName}(${clist.columnJAVAType} ${clist.columnName}){
		this.${clist.columnName} = ${clist.columnName};
	}	
	</#list>	
</#if>	 

	@Override
	public String toString() {
		return "${name}Entity: ${toStringMethodBody};
	}
 }