<#--包名 -->
package ${packages}
import java.util.HashMap;
import java.util.Map;
import java.io.Serializable;
/**
 <#if version?exists>
 * @version ${version}
 </#if>
 */

 public class ${name}PO implements Serializable {

 <#--变量 ,get,set方法-->
<#if tablemodel.columnlist?exists>
	<#list tablemodel.columnlist as clist>
	private ${clist.columnJAVAType} ${clist.columnName};
	
	<#if clist.columnRemarks?exists>
	/**
	 * ${clist.columnRemarks}
	 */
	<#else>
	</#if>
	<#if clist.columnJAVAType = "java.sql.Timestamp" >
      	@org.codehaus.jackson.map.annotate.JsonSerialize(using = com.taover.tools.DateTimeSerializer.class)
	</#if>
	<#if clist.columnJAVAType = "java.util.Date" >
      	@org.codehaus.jackson.map.annotate.JsonSerialize(using = com.taover.tools.DateSerializer.class)
	</#if>
	public ${clist.columnJAVAType} get${clist.columnMethodName}(){
		return ${clist.columnName};
	}
	
	public void set${clist.columnMethodName}(${clist.columnJAVAType} ${clist.columnName}){
		this.${clist.columnName} = ${clist.columnName};
	}
	
	<#if clist.columnJAVAType = "Long" || clist.columnJAVAType = "java.math.BigDecimal" || clist.columnJAVAType = "Integer" || clist.columnJAVAType = "Short" || clist.columnJAVAType = "Float" || clist.columnJAVAType = "Double">
		<#if clist.columnJAVAType = "Long">
	private ${clist.columnJAVAType} variation${clist.columnMethodName} = 0L;
		</#if>
		<#if clist.columnJAVAType = "java.math.BigDecimal">
	private ${clist.columnJAVAType} variation${clist.columnMethodName} = new java.math.BigDecimal(0.0);
		</#if>
		<#if clist.columnJAVAType = "Integer">
	private ${clist.columnJAVAType} variation${clist.columnMethodName} = 0;
		</#if>
		<#if clist.columnJAVAType = "Short">
	private ${clist.columnJAVAType} variation${clist.columnMethodName} = 0;
		</#if>
		<#if clist.columnJAVAType = "Double">
	private ${clist.columnJAVAType} variation${clist.columnMethodName} = 0d;
		</#if>
		<#if clist.columnJAVAType = "Float">
	private ${clist.columnJAVAType} variation${clist.columnMethodName} = 0f;
		</#if>
	public ${clist.columnJAVAType} getVariation${clist.columnMethodName}(){
		return variation${clist.columnMethodName};
	}
	
	public void setVariation${clist.columnMethodName}(${clist.columnJAVAType} variation${clist.columnName}){
		this.variation${clist.columnMethodName} = variation${clist.columnName};
	}
	
	</#if> 
	
	</#list>	
</#if>	 

	@Override
	public String toString() {
		return "${name}PO: ${toStringMethodBody};
	}
 }