package ${basePackage}.service;

import java.util.List;
import java.util.Map;

import com.taover.util.bean.ResultInfo;

public interface ${serviceClassSimpleName} {
	/**
	 * 获取列表
	 * @param condition
	 * @param page
	 * @param size
	 * @return
	 */
	public ResultInfo getListV1(List<Object[]> condition, Integer page, Integer size);
	
	/**
	 * 获取ssid对应的数据
	 * @param ssid
	 * @return
	 */
	public ResultInfo getOneV1(String ssid);
	
	/**
	 * 修改ssid对应的数据
	 * @param ssid
	 * @return
	 */
	public ResultInfo putV1(String ssid, List<Object[]> updateList);
	
	/**
	 * 删除ssid对应的数据
	 * @param ssid
	 * @return
	 */
	public ResultInfo deleteV1(String ssid);
	
	/**
	 * 创建数据
	 * @param ssid
	 * @return
	 */
	public ResultInfo postV1(Map<String, Object> data);
	
	/**
	 * 获取列表
	 * @param condition
	 * @param page
	 * @param size
	 * @return
	 */
	public ResultInfo getListManage(List<Object[]> condition, Integer page, Integer size);
	
	/**
	 * 获取ssid对应的数据
	 * @param ssid
	 * @return
	 */
	public ResultInfo getOneManage(String ssid);
	
	/**
	 * 修改ssid对应的数据
	 * @param ssid
	 * @return
	 */
	public ResultInfo putManage(String ssid, List<Object[]> updateList);
	
	/**
	 * 删除ssid对应的数据
	 * @param ssid
	 * @return
	 */
	public ResultInfo deleteManage(String ssid);
	
	/**
	 * 创建数据
	 * @param ssid
	 * @return
	 */
	public ResultInfo postManage(Map<String, Object> data);	
}
