package com.taover.codegenerate.model.bussiness;

import java.io.File;

public class EnvironmentModel {
	private String controllerPackageInfo;
	private String poPackageInfo;
	private String servicePackageInfo;
	private String controllerFilePath;
	private String serviceFilePath;
	private String beanClassName;
	private String utilPackageInfo;
	
	private EnvironmentModel(){}
	public static EnvironmentModel createEnvironmentModel(String modulePackageInfo, String moduleFilePath, String poPackageInfo, String beanClassName){
		EnvironmentModel envir = new EnvironmentModel();
		envir.controllerPackageInfo = modulePackageInfo + "." +"controller";
		envir.poPackageInfo = poPackageInfo;
		envir.servicePackageInfo = modulePackageInfo + "." +"service";
		envir.controllerFilePath = moduleFilePath + File.separator +"controller";
		envir.serviceFilePath = moduleFilePath + File.separator+"service";
		envir.beanClassName = beanClassName;
		envir.utilPackageInfo = modulePackageInfo + "." + "util";
		return envir;
	}
	
	public String getControllerPackageInfo() {
		return controllerPackageInfo;
	}
	public void setControllerPackageInfo(String controllerPackageInfo) {
		this.controllerPackageInfo = controllerPackageInfo;
	}
	public String getPoPackageInfo() {
		return poPackageInfo;
	}
	public void setPoPackageInfo(String poPackageInfo) {
		this.poPackageInfo = poPackageInfo;
	}
	public String getServicePackageInfo() {
		return servicePackageInfo;
	}
	public void setServicePackageInfo(String servicePackageInfo) {
		this.servicePackageInfo = servicePackageInfo;
	}
	public String getControllerFilePath() {
		return controllerFilePath;
	}
	public void setControllerFilePath(String controllerFilePath) {
		this.controllerFilePath = controllerFilePath;
	}
	public String getServiceFilePath() {
		return serviceFilePath;
	}
	public void setServiceFilePath(String serviceFilePath) {
		this.serviceFilePath = serviceFilePath;
	}
	public String getBeanClassName() {
		return beanClassName;
	}
	public void setBeanClassName(String beanClassName) {
		this.beanClassName = beanClassName;
	}
	public String getUtilPackageInfo() {
		return utilPackageInfo;
	}
	public void setUtilPackageInfo(String utilPackageInfo) {
		this.utilPackageInfo = utilPackageInfo;
	}
	
}
