<div class="easyui-layout" data-options="fit:true">
	<div region="center">
		<table id="${controllerPathMap}_list"></table>
	</div>
	
    <div class="easyui-tabs" region="south" style="height:200px;">
        <div title="操作记录">
            <table class="easyui-datagrid" data-options="fitColumns:true,fit:true,border:false">
                <thead>
                    <tr>
                        <th data-options="field:'itemMan',width:10">操作人</th>
                        <th data-options="field:'itemName',width:10">操作名称</th>
                        <th data-options="field:'itemDate',width:10">操作日期</th>
                        <th data-options="field:'itemNote',width:10">操作备注</th>
                    </tr>
                 </thead>
            </table>
        </div>
	</div>
</div>

<div id="${controllerPathMap}_toolbar"  class="grid-toolbar">
    <form id="${controllerPathMap}_toolbarForm">
        <div class="toolbar-form-item">
	        <span>店铺名称</span>
	        <select name="shopName" class="easyui-combobox search_input">
	        	<option value="">全部</option>
		        <option value="京东">京东店铺</option>
		        <option value="淘宝">淘宝店铺</option>
		        <option value="试吃">试吃店铺</option>
		        <option value="爱">爱仕达</option>
	        </select>
        </div>
        <div class="toolbar-form-item">
	        <span>状态</span>
	        <select name="status" class="easyui-combobox search_input">
		        <option value="">全部</option>
		        <option value="1">正常</option>
		        <option value="0">停用</option>
	        </select>
        </div>
        <span>
            <a href="#" class="easyui-linkbutton" iconCls="icon-search" onclick="${controllerPathMap}Page.searchObjects();">查询</a>
        </span>
    </form>
    <div>
        <a href="#" iconCls="icon-add" class="easyui-linkbutton" onclick="${controllerPathMap}Page.addObject();">添加</a>
        <a href="#" iconCls="icon-cancel" class="easyui-linkbutton" onclick="${controllerPathMap}Page.deleteObjects();">删除</a>
    </div>
</div>

<!--
	表单呈现样式：
		数字类型--numberbox
		文本类型--validatebox
		日期类型--datetimebox
		密码类型--passwordbox
		...等等
	表单验证方式：
		必填--requried
		数字验证--numberbox[precision,min,max]
		自定义验证--validType[url,email,length[0,100],remote['http://.../action.do','paramName']]
 -->
<form id="${controllerPathMap}_add">
	<table class="dialog-form-table">
	<#list fields as tempField>
	<#if (tempField["name"]!="id")>		
		<tr>
			<td><span>${tempField["cnName"]}：</span></td>
			<td><input type="text" name="${tempField["name"]!""}" class="easyui-${tempField["easyui"]!""} textbox" ${tempField["required"]!""} ${tempField["attr"]!""} /></td>
		</tr>
	</#if>
	</#list>
	</table>
</form>

<form id="${controllerPathMap}_edit">
	<table class="dialog-form-table">
    <#list fields as tempField>
		<tr>
			<td><span>${tempField["cnName"]}：</span></td>
			<td><input type="text" name="${tempField["name"]!""}" class="easyui-${tempField["easyui"]!""} textbox" ${tempField["required"]!""} ${tempField["attr"]!""} /></td>
		</tr>
	</#list>
	</table>
</form>

<script type="text/javascript" src="../js/${controllerPathMap}.js?v=1234"></script>
