package ${packageInfo};

import java.util.List;
import java.util.Map;

import com.taover.base.ResultInfo;

import ${poPackageInfo}.${beanClassName}PO;

public interface ${beanClassName}Service {
	/**
	 * 业务层添加接口
	 */
	public ResultInfo add(${beanClassName}PO ${beanFieldName}PO);

	/**
	 * 业务层删除接口
	 */
    public ResultInfo delete(Integer id);
    
    /**
	 * 业务层更新接口
	 */
    public ResultInfo update(${beanClassName}PO ${beanFieldName}PO);

	/**
	 * 增加${beanClassName}PO
	 * @param ${beanFieldName}PO
	 * @return 返回增加后的实体，如果为null代表添加失败
	 */
	public ${beanClassName}PO add${beanClassName}PO(${beanClassName}PO ${beanFieldName}PO);
	
	/**
	 * 依据${beanClassName}PO id删除记录
	 * @param id
	 * @return 返回删除是否成功
	 */
	public boolean delete${beanClassName}PO(Integer id);
	
	/**
	 * 依据${beanClassName}PO id更新记录，修改除id以外的其他字段
	 * @param id
	 * @param ${beanFieldName} 
	 * @return 返回修改后的实体，如果为null代表修改失败
	 */
	public ${beanClassName}PO update${beanClassName}PO(Integer id, ${beanClassName}PO ${beanFieldName}PO);
	
	/**
	 * 依据arrayCondition,sqlCondition查询记录列表
	 * @param arrayCondition List<Object[]>类型，如果为null，表示不存在该条件约束
	 * @param page int类型，如果-1代表查询所有记录，0代表不取数据，>0代表所取页码
	 * @param pageSize int类型，>0时，该值有效，否则查询无效
	 * @return 返回实体列表
	 */
	public Map<String, Object> query${beanClassName}POList(List<Object[]> arrayCondition, String sort, String order, int page, int pageSize);
	
	/**
	 * 依据arrayCondition,sqlCondition查询记录列表
	 * @param sqlCondition String类型，如果为null，表示不存在该条件约束
	 * @param page int类型，如果-1代表查询所有记录，0代表不取数据，>0代表所取页码
	 * @param pageSize int类型，>0时，该值有效，否则查询无效
	 * @return 返回实体列表
	 */
	public Map<String, Object> query${beanClassName}POList(String sqlCondition, String sort, String order, int page, int pageSize);
	
	/**
	 * 依据id查询单条记录
	 * @param id
	 * @return 返回实体引用，如果未找到返回null
	 */
	public ${beanClassName}PO query${beanClassName}PO(Integer id);
	
	/**
	 * 依据sqlCondition查询条件查询单条记录，如果存在多条记录，则取第一条
	 * @param sqlCondition
	 * @return 返回实体引用，如果未找到返回null
	 */
	public ${beanClassName}PO query${beanClassName}PO(String sqlCondition);
	
	/**
	 * 依据arrayCondition查询条件查询单条记录，如果存在多条记录，则取第一条
	 * @param arrayCondition
	 * @return 返回实体引用，如果未找到返回null
	 */
	public ${beanClassName}PO query${beanClassName}PO(List<Object[]> arrayCondition);
	
}
